@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=DM+Serif+Text:ital@0;1&family=Playfair+Display:ital,wght@0,400..900;1,400..900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');


body {
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
    color: #000;
}

header {
    position: fixed;
    top: 0;
    left: 0;
    display: flex;
    z-index: 99999;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    height: 10vh;
    background-color: #fff;
    padding: 10px 20px;
    box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
}

.s{
    display: none;
}

.sbig{
    display: block;
}

nav {
    display: flex;
    align-items: center;
}

nav ul {
    list-style: none;
    display: flex;
    gap: 30px;
    margin: 0;
    padding: 0;
}

nav a {
    text-decoration: none;
    color: #020D2F;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 14px;
    transition: 0.2s ease-in;
}

nav a:hover{
    color: #C4C7F2;
}

nav img {
    width: 50%;
    height: auto;
}


.intro-portafolios {
    margin-top:10vh;
    padding: 40px 80px;
    background-color: #f4f4f4;
    text-align:  justify;
}

.intro-portafolios h1 {
    font-size: 2.5rem;
    font-weight: 700;
    margin-bottom: 20px;
}

.intro-portafolios p {
    font-size: 1.1rem;
    color: #555;
    line-height: 1.6;
}

/* Galería de Proyectos */
.galeria-proyectos {
    padding: 40px 80px;
    background-color: #fff;
    text-align:  justify;
}

.contenedor-galeria h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 30px;
}

.grid-galeria {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 20px;
    margin-top: 20px;
}

.proyecto {
    border: 1px solid #ddd;
    border-radius: 8px;
    overflow: hidden;
    background-color: #f9f9f9;
    transition: transform 0.3s, box-shadow 0.3s;
}

.proyecto img {
    width: 100%;
    height: auto;
    display: block;
}

.info-proyecto {
    padding: 20px;
    text-align: left;
}

.info-proyecto h3 {
    font-size: 1.5rem;
    color: #333;
    margin-bottom: 10px;
}

.info-proyecto p {
    font-size: 1rem;
    color: #666;
    line-height: 1.4;
}

.proyecto:hover {
    transform: translateY(-10px);
    box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
}

/* Sección de Contacto */
.contacto-portafolios {
    padding: 40px 20px;
    background-color: #f4f4f4;
    text-align:  center;
}

.contenedor-contacto h2 {
    font-size: 2rem;
    font-weight: 600;
    margin-bottom: 20px;
}

.form-contacto {
    max-width: 600px;
    margin: 0 auto;
    text-align: left;
}

.form-contacto input,
.form-contacto textarea {
    width: 96.5%;
    padding: 10px;
    margin-bottom: 15px;
    border: 1px solid #ccc;
    border-radius: 4px;
}

textarea{
    resize: vertical;
}

.btn-enviar {
    background-color: #333;
    color: #fff;
    padding: 10px 20px;
    width: 100%;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    text-transform: uppercase;
    font-weight: bold;
}

.btn-enviar:hover {
    background-color: #555;
}

footer {
    background-color: #000;
    color: #fff;
    padding: 40px 20px;
    text-align:  justify;
    align-items: center;
    font-family: 'Roboto', Arial, Helvetica, sans-serif;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    gap: 40px;
    margin-bottom: 20px;
}

.footer-section {
    width: 45%;
}

.footer-section h3 {
    font-size: 1.2rem;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}

.footer-section ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.footer-section ul li {
    margin: 10px 0;
}

.footer-section a {
    text-decoration: none;
    color: #fff;
    transition: color 0.2s ease;
}


.footer-bottom {
    border-top: 1px solid #fff;
    padding-top: 10px;
}

.footer-bottom p {
    font-size: 0.9rem;
    color: #bbb;
}

.footer-section.social-links {
    width: 45%;
    min-width: 200px;
    height: 100%;
    text-align:  justify;
}

.footer-section.social-links h3 {
    font-size: 1.2rem;
    margin-bottom: 15px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 600;
}

.social-icons {
    display: flex;
    justify-content: center;
    gap: 30px; /* Espacio entre los íconos */
    padding: 0;
    margin: 0;
}

.social-icon {
    text-decoration: none;
    color: #fff;
    font-size: 2rem; /* Tamaño de los íconos */
    transition: color 0.3s ease;
}

.social-icon:hover {
    color: #1D97F1; /* Color cuando se pasa el mouse */
}

.social-icons i {
    margin-right: 10px;
}


@media (min-width: 600px) and (max-width: 1024px) {
    body {
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        color: #000;
    }
    
    header {
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        z-index: 99999;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 10vh;
        background-color: #fff;
        padding: 10px 20px;
        box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
    }
    
    .s{
        display: block;
    }

    .sbig{
        display: none;
    }

    nav {
        display: flex;
        align-items: center;
        margin: 0 50px;
    }
    
    nav ul {
        list-style: none;
        display: flex;
        gap: 30px;
        margin: 0;
        padding: 0;
    }
    
    nav a {
        text-decoration: none;
        color: #020D2F;
        font-weight: 500;
        text-transform: uppercase;
        font-size: 16px;
        transition: 0.2s ease-in;
    }
    
    nav a:hover{
        color: #C4C7F2;
    }
    
    nav img {
        width: 50%;
        height: auto;
    }
    
    
    .intro-portafolios {
        margin-top:10vh;
        padding: 40px 80px;
        background-color: #f4f4f4;
        text-align:  justify;
    }
    
    .intro-portafolios h1 {
        font-size: 2.5rem;
        font-weight: 700;
        margin-bottom: 20px;
    }
    
    .intro-portafolios p {
        font-size: 1.1rem;
        color: #555;
        line-height: 1.6;
    }
    
    /* Galería de Proyectos */
    .galeria-proyectos {
        padding: 40px 80px;
        background-color: #fff;
        text-align:  justify;
    }
    
    .contenedor-galeria h2 {
        font-size: 2rem;
        font-weight: 600;
        margin-bottom: 30px;
    }
    
    .grid-galeria {
        display: grid;
        grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
        gap: 20px;
        margin-top: 20px;
    }
    
    .proyecto {
        border: 1px solid #ddd;
        border-radius: 8px;
        overflow: hidden;
        background-color: #f9f9f9;
        transition: transform 0.3s, box-shadow 0.3s;
    }
    
    .proyecto img {
        width: 100%;
        height: auto;
        display: block;
    }
    
    .info-proyecto {
        padding: 20px;
        text-align: left;
    }
    
    .info-proyecto h3 {
        font-size: 1.5rem;
        color: #333;
        margin-bottom: 10px;
    }
    
    .info-proyecto p {
        font-size: 1rem;
        color: #666;
        line-height: 1.4;
    }
    
    .proyecto:hover {
        transform: translateY(-10px);
        box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
    }
    
    /* Sección de Contacto */
    .contacto-portafolios {
        padding: 40px 20px;
        background-color: #f4f4f4;
        text-align:  center;
    }
    
    .contenedor-contacto h2 {
        font-size: 2rem;
        font-weight: 600;
        margin-bottom: 20px;
    }
    
    .form-contacto {
        max-width: 600px;
        margin: 0 auto;
        text-align: left;
    }
    
    .form-contacto input,
    .form-contacto textarea {
        width: 96.5%;
        padding: 10px;
        margin-bottom: 15px;
        border: 1px solid #ccc;
        border-radius: 4px;
    }
    
    textarea{
        resize: vertical;
    }
    
    .btn-enviar {
        background-color: #333;
        color: #fff;
        padding: 10px 20px;
        width: 100%;
        border: none;
        border-radius: 4px;
        cursor: pointer;
        text-transform: uppercase;
        font-weight: bold;
    }
    
    .btn-enviar:hover {
        background-color: #555;
    }
    
    footer {
        background-color: #000;
        color: #fff;
        padding: 40px 20px;
        text-align:  justify;
        align-items: center;
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
    }
    
    .footer-container {
        display: flex;
        justify-content: space-between;
        gap: 40px;
        margin-bottom: 20px;
    }
    
    .footer-section {
        width: 45%;
    }
    
    .footer-section h3 {
        font-size: 1.2rem;
        margin-bottom: 15px;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-weight: 600;
    }
    
    .footer-section ul {
        list-style: none;
        padding: 0;
        margin: 0;
    }
    
    .footer-section ul li {
        margin: 10px 0;
    }
    
    .footer-section a {
        text-decoration: none;
        color: #fff;
        transition: color 0.2s ease;
    }
    
    
    .footer-bottom {
        border-top: 1px solid #fff;
        padding-top: 10px;
    }
    
    .footer-bottom p {
        font-size: 0.9rem;
        color: #bbb;
    }
    
    .footer-section.social-links {
        width: 45%;
        min-width: 200px;
        height: 100%;
        text-align:  justify;
    }
    
    .footer-section.social-links h3 {
        font-size: 1.2rem;
        margin-bottom: 15px;
        text-transform: uppercase;
        letter-spacing: 1px;
        font-weight: 600;
    }
    
    .social-icons {
        display: flex;
        justify-content: center;
        gap: 30px; /* Espacio entre los íconos */
        padding: 0;
        margin: 0;
    }
    
    .social-icon {
        text-decoration: none;
        color: #fff;
        font-size: 2rem; /* Tamaño de los íconos */
        transition: color 0.3s ease;
    }
    
    .social-icon:hover {
        color: #1D97F1; /* Color cuando se pasa el mouse */
    }
    
    .social-icons i {
        margin-right: 10px;
    }

}

@media (max-width: 599px) {
    body {
        font-family: 'Roboto', Arial, Helvetica, sans-serif;
        margin: 0;
        padding: 0;
        overflow-x: hidden;
        color: #000;
    }
    
    header {
        position: fixed;
        top: 0;
        left: 0;
        display: flex;
        justify-content: space-between;
        align-items: center;
        width: 100%;
        height: 8vh;
        background: linear-gradient(#000000, rgba(0, 0, 0, 0.868));
        padding: 10px 20px;
        z-index: 99999;
    }

    .menu-toggle {
        display: block; /* Muestra el icono del menú en pantallas pequeñas */
        z-index: 1001;
    }

    #menu {
        display: none;
        position: absolute;
        top: 0vh;
        left: -20px;
        width: 100%;
        height: 100vh;
        background-color: #000000;
        flex-direction: column;
        padding: 20px 0;
        z-index: 1000;
        transition: transform 0.3s ease-in-out; /* Animación para mostrar el menú */
        transform: translateY(-100%); /* Empuja el menú fuera de la pantalla */
    }

    #menu.show {
        display: flex;
        transform: translateY(0); /* Muestra el menú */
    }

    #menu li {
        margin: 5px 0;
        text-align: center;
    }

    #menu li a {
        font-size: 18px;
        color: #fff;
        text-transform: uppercase;
    }

    #menu li a:hover {
        color: #C4C7F2;
    }

    #menu-icon img {
        width: 35px;
        height: auto;
    }

    #menu-icon:hover img {
        opacity: 0.8; /* Efecto hover para el icono del menú */
    }
    
    #nav-desktop {
        display: none; /* Esconde el menú de escritorio en pantallas pequeñas */
    }

        .footer-container {
            flex-direction: column; /* Cambia la disposición a columna */
            align-items: center; /* Centra los elementos */
            gap: 30px;
        }
    
        .footer-section {
            width: 100%; /* Hacemos que cada sección ocupe todo el ancho disponible */
        }
    
        .footer-section h3 {
            font-size: 1rem; /* Reduce el tamaño de los encabezados */
        }
    
        .footer-section ul li {
            margin: 8px 0; /* Reduce el espacio entre los elementos de la lista */
        }
    
        .social-icons {
            flex-direction: row; /* Alinea los íconos en una fila */
            justify-content: center; /* Centra los íconos */
            gap: 20px; /* Menos espacio entre íconos */
        }
    
        .social-icon {
            font-size: 1.5rem; /* Ajusta el tamaño de los íconos */
        }
    
        .footer-bottom p {
            font-size: 0.8rem; /* Reduce el tamaño del texto en la parte inferior */
        }

        .intro-portafolios {
            margin-top:10vh;
            padding: 40px 20px;
            background-color: #f4f4f4;
            text-align:  justify;
        }
        
        .intro-portafolios h1 {
            font-size: 2.5rem;
            font-weight: 700;
            margin-bottom: 20px;
        }
        
        .intro-portafolios p {
            font-size: 1.1rem;
            color: #555;
            line-height: 1.6;
        }
        
        /* Galería de Proyectos */
        .galeria-proyectos {
            padding: 40px 15px;
            background-color: #fff;
            text-align:  justify;
        }
        
        .contenedor-galeria h2 {
            font-size: 2rem;
            font-weight: 600;
            margin-bottom: 30px;
        }
        
        .grid-galeria {
            display: grid;
            grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
            gap: 20px;
            margin-top: 20px;
        }
        
        .proyecto {
            border: 1px solid #ddd;
            border-radius: 8px;
            overflow: hidden;
            background-color: #f9f9f9;
            transition: transform 0.3s, box-shadow 0.3s;
        }
        
        .proyecto img {
            width: 100%;
            height: auto;
            display: block;
        }
        
        .info-proyecto {
            padding: 20px;
            text-align: left;
        }
        
        .info-proyecto h3 {
            font-size: 1.5rem;
            color: #333;
            margin-bottom: 10px;
        }
        
        .info-proyecto p {
            font-size: 1rem;
            color: #666;
            line-height: 1.4;
        }
        
        .proyecto:hover {
            transform: translateY(-10px);
            box-shadow: 0px 5px 15px rgba(0, 0, 0, 0.2);
        }
        
        /* Sección de Contacto */
        .contacto-portafolios {
            padding: 40px 20px;
            background-color: #f4f4f4;
            text-align:  center;
        }
        
        .contenedor-contacto h2 {
            font-size: 2rem;
            font-weight: 600;
            margin-bottom: 20px;
        }
        
        .form-contacto {
            max-width: 600px;
            margin: 0 auto;
            text-align: left;
        }
        
        .form-contacto input,
        .form-contacto textarea {
            width: 96.5%;
            padding: 10px;
            margin-bottom: 15px;
            border: 1px solid #ccc;
            border-radius: 4px;
        }
        
        textarea{
            resize: vertical;
        }
        
        .btn-enviar {
            background-color: #333;
            color: #fff;
            padding: 10px 20px;
            width: 100%;
            border: none;
            border-radius: 4px;
            cursor: pointer;
            text-transform: uppercase;
            font-weight: bold;
        }
        
        .btn-enviar:hover {
            background-color: #555;
        }
    }
    
    @media (min-width: 600px) {
        #nav-mobile {
            display: none; /* Esconde el menú de escritorio en pantallas pequeñas */
        }
    }